#!/usr/bin/env node
'use strict';

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _winston = require('winston');

var _winston2 = _interopRequireDefault(_winston);

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_winston2.default.remove(_winston2.default.transports.Console);
_winston2.default.add(_winston2.default.transports.Console, { showLevel: false });

var pkg = _path2.default.resolve(__dirname, '../package.json');
var conf = JSON.parse(_fs2.default.readFileSync(pkg, 'utf8'));
_winston2.default.info(_chalk2.default.bold('SITE-SCHEME v' + conf.version));

_commander2.default.version(conf.version).usage('<options>').option('-u, --url [url]', 'Url to capture').option('-o, --output [output]', 'Output file to write to').option('-n, --number [number]', 'Amount of colors to extract', parseInt).parse(process.argv);

if (!_commander2.default.url) {
  _winston2.default.error(_chalk2.default.red('No url provided. Please use the --url option.'));
  process.exit();
}

var outputFile = void 0;
if (_commander2.default.output) {
  var outputPath = _path2.default.resolve(process.cwd(), _commander2.default.output);
  outputFile = _path2.default.extname(outputPath) === '.png' ? outputPath : _path2.default.resolve(outputPath, 'output.png');
}

var number = _commander2.default.number || 5;
(0, _index2.default)(_commander2.default.url, number, outputFile).then(function (colors) {
  _winston2.default.info(JSON.stringify(colors, null, 4));
}).catch(function (error) {
  return _winston2.default.error(_chalk2.default.red(error));
});